%define upstream_name    Gtk2-MozEmbed
%define upstream_version 0.08

%if %{?xulrunner_libname:0}%{?!xulrunner_libname:1}
%define xulrunner_libname libxulrunner
%endif

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module for the Gecko engine
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: glib2-devel
BuildRequires: gtk+2-devel
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Gtk2 >= 1.081
# ensure we link/requires the right browser:
BuildConflicts: mozilla-devel
%if %mdkversion < 200900
BuildRequires: mozilla-firefox-devel
%elif %mdvver < 201000
BuildRequires: xulrunner-devel-unstable
%else 
BuildRequires: xulrunner-devel
%endif
%if %mdkversion < 200900
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}
%else
Requires: %xulrunner_libname
%endif
BuildRequires: perl-devel 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: perl-Gtk2 

%description
This package adds perl support for the Gecko engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.80.0-3mdv2010.0
+ Revision: 439594
- rebuild for new xulrunner

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 0.80.0-2mdv2010.0
+ Revision: 418008
- build with new xulrunner

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 408450
- rebuild using %%perl_convert_version

* Tue Aug 26 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-1mdv2009.0
+ Revision: 276166
- new release
- new release

* Thu Jul 31 2008 Tiago Salem <salem@mandriva.com.br> 0.07-5mdv2009.0
+ Revision: 258389
- moving to xulrunner
- bump release

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.07-4mdv2009.0
+ Revision: 236376
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.07-3mdv2009.0
+ Revision: 231265
- Rebuild for firefox 2.0.0.15

* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 0.07-2mdv2009.0
+ Revision: 200643
- rebuild for new FF

* Mon Apr 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-1mdv2009.0
+ Revision: 192878
- new release

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 0.06-16mdv2008.1
+ Revision: 190449
- rebuild for firefox 2.0.0.13

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.06-15mdv2008.1
+ Revision: 164658
- rebuild for new FF

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.06-14mdv2008.1
+ Revision: 152107
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-13mdv2008.1
+ Revision: 117779
- rebuild with latest firefox

* Wed Dec 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-12mdv2008.1
+ Revision: 115686
- rebuild against latest firefox library

* Wed Nov 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-11mdv2008.1
+ Revision: 110980
- rebuild for latest firefox

* Thu Aug 02 2007 Funda Wang <fundawang@mandriva.org> 0.06-10mdv2008.0
+ Revision: 58209
- Rebuild for ff 2.0.0.6

* Mon Jun 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-9mdv2008.0
+ Revision: 41113
- rebuild with latest firefox


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.06-7mdv2007.1
+ Revision: 148594
- Force rebuild

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.06-6mdv2007.1
+ Revision: 148418
- Rebuild with latest firefox

* Wed Feb 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.06-5mdv2007.1
+ Revision: 127178
- fix buildrequires
- rebuild for new firefox

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - Add BuildRequires
    - import perl-Gtk2-MozEmbed-0.06-2mdv2007.0

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.06-2mdv2007.0
- Rebuild for new firefox

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.06-1mdv2007.0
- new release

* Fri Oct 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.05-2mdk
- link against firefox, not mozilla (#19366)

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-2mdk
- Fix BuildRequires
- %%{1}mdv2007.1

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.01-2mdk
- Rebuild for new perl

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-1mdk
- new release

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.00-0.1mdk
- initial release

